ページ 11

最新版にバージョンアップでエラー

投稿記事Posted: 2019年1月05日(土) 19:47
by masa58
「cms 3.0.2_sqlite とshop 1.18.2」から「cms 3.0.2p58 _sqliteとshop 1.18.2p84 」にバージョンアップしたところ、shopのすべてのページが
「このページは動作していません  *****.jp でリダイレクトが繰り返し行われました。」と表示されるようになりました。

元のバージョンに戻すと表示できますが、PAY.JPクレジットカード支払いモジュールを使いたいので、バージョンアップしたいので、問題点をお教えください。

Re: 最新版にバージョンアップでエラー

投稿記事Posted: 2019年1月06日(日) 07:27
by inunosinsi
SOY Shopの管理画面の設定でhttpsに関する設定の個所があります。そちらを「常にhttpsで表示する」にして下さい。
いずれは公式版にある設定しなくても常にhttpsにするようにしたいですね。

Re: 最新版にバージョンアップでエラー

投稿記事Posted: 2019年1月06日(日) 18:20
by masa58
ありがとうございました。
ショップの設定のSSL設定を「常にhttpsで表示する」に変更して、すべてが表示されるようになりました。

前回も教えて頂いたように思いますが、慌ててしまいお手数をお掛けしました。申し訳ありません。

一つ質問ですが、SSL設定欄の中に、「※ここでSSLの設定を行ってもカートとマイページのSSLは設定されません。カートとマイページのSSLの使用にもチェックを入れてください。」
とありますが、指示通りにチェックを入れると、カートも動かないし、マイページへも入れなくなります。これはどのような意味なのでしょうか。

Re: 最新版にバージョンアップでエラー

投稿記事Posted: 2019年1月07日(月) 06:59
by inunosinsi
※ここでSSLの設定を行ってもカートとマイページのSSLは設定されません。カートとマイページのSSLの使用にもチェックを入れてください。


基本設定にあるSSLの設定の範囲はカートとマイページを除くすべてのページになります。
公開当初では、個人情報を入力するカートやマイページのみhttpsにして、他のページはネット回線を圧迫しないhttpが推奨されていました。

この推奨を元にSOY Shopでもカートとマイページは個別にSSLの設定を持っており、
私のパッケージでは追加する形で他ページのSSLの設定の項目を追加しました

公式パッケージでは逆の発想で、カートやマイページのSSLを無視して、システム側でSSLを介するかどうかを判断しないことにして、設定項目が設置されていません。

私がメンテナンスするパッケージでも同様にすべきだったのですが、
いかんせん面倒で上記の他ページでもSSLの設定項目を残しています。

Re: 最新版にバージョンアップでエラー

投稿記事Posted: 2019年1月07日(月) 16:44
by masa58
ご説明で納得いたしました。

ありがとうございました。